package com.prolog.cs.biz.inbound.dto;

import java.math.BigDecimal;

/**
 * 代管货位信息
 * 
 * @author Xiong
 *
 */
public class HostLocatorInfo {

	// 货位id
	private String locatorId;
	// 货位编码
	private String locatorCode;
	// 商品id
	private String itemId;
	// 商品编号
	private String itemCode;
	// 原数量
	private BigDecimal preQty;
	// 已绑定总数量
	private BigDecimal totalBindQty;
	// 当前商品绑定数量
	private BigDecimal bindQty;
	// 货主id
	private String mtlOwnerId;
	// 仓库id
	private String warehouseId;
	// 批次id
	private String batchId;
	// 批号
	private String manufacturerLotNum;
	// 生产日期
	private String showProductionDate;
	// 有效期至
	private String showExpiredDate;

	public String getLocatorId() {
		return locatorId;
	}

	public void setLocatorId(String locatorId) {
		this.locatorId = locatorId;
	}

	public String getLocatorCode() {
		return locatorCode;
	}

	public void setLocatorCode(String locatorCode) {
		this.locatorCode = locatorCode;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public BigDecimal getPreQty() {
		return preQty;
	}

	public void setPreQty(BigDecimal preQty) {
		this.preQty = preQty;
	}

	public BigDecimal getTotalBindQty() {
		return totalBindQty;
	}

	public void setTotalBindQty(BigDecimal totalBindQty) {
		this.totalBindQty = totalBindQty;
	}

	public BigDecimal getBindQty() {
		return bindQty;
	}

	public void setBindQty(BigDecimal bindQty) {
		this.bindQty = bindQty;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getShowProductionDate() {
		return showProductionDate;
	}

	public void setShowProductionDate(String showProductionDate) {
		this.showProductionDate = showProductionDate;
	}

	public String getShowExpiredDate() {
		return showExpiredDate;
	}

	public void setShowExpiredDate(String showExpiredDate) {
		this.showExpiredDate = showExpiredDate;
	}

}
